All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class DefaultTableRowRenderer

    com.sas.servlet.tbeans.tableview.html.DefaultTableRowRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableRowRenderer, javax.swing.SwingConstants

    public class DefaultTableRowRenderer

The DefaultTableRowRenderer is a class that generates the appropriate HTML 4.0 for the begin and end html row tags for a TableView.

For example: this class will generate the begin row tag and all its attributes, such as: `<TR attr1="">`.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on these custom tags.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`DefaultTableRowRenderer()` Constructs a new DefaultTableRowRenderer

Method Summary
`void` | `writeBeginRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Generates the html begin row tag for a html TableView.
`void` | `writeEndRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Generates the html end row tag for a html TableView.

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableRow
`getBgColor, getCustomAttributes, getHorizontalAlignment, getLocale, getStyleInfo, getVerticalAlignment, isColumnHeaderRow, setBgColor, setColumnHeaderRow, setCustomAttributes, setHorizontalAlignment, setLocale, setStyleInfo, setVerticalAlignment`

Constructor Detail

### DefaultTableRowRenderer

    public DefaultTableRowRenderer()

  Constructs a new DefaultTableRowRenderer

Method Detail

### writeBeginRow

    public void writeBeginRow(AbstractBaseTableView tableview,
                              java.io.PrintWriter out)
                       throws java.io.IOException

  Generates the html begin row tag for a html TableView.

  Parameters:
    `tableview` - instance of the tableview
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeEndRow

    public void writeEndRow(AbstractBaseTableView tableview,
                            java.io.PrintWriter out)
                     throws java.io.IOException

  Generates the html end row tag for a html TableView.

  Parameters:
    `tableview` - instance of the tableview
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.